You are not logged in.

#1 2012-10-06 18:26:36

gauthma
Member
Registered: 2010-02-16
Posts: 187
Website

[Solved] Haskell: cabal error

After some problems with arch-haskell repos, I decided to install pandoc and dependencies via cabal. So I removed all haskell packages, removed arch-haskell repos and run -Syy. Next, I installed ghc 7.6.1 and cabal-install 1.16, but when I ran "cabal install pandoc", I got the following error:

$ cabal install pandoc
cabal: Command.optionToFieldDescr: feature not implemented

Googling revealed that that might be a problem with the config file, but after trying the proposed solution, it became clear that that wasn't the problem. After some more googling, I found this, which seemed to suggest that the problem might be with ghc's version. So I downgraded it to 7.4.2-1, but cabal still didn't work. So I downgraded cabal to 0.14.0, and finally it worked (and I could install pandoc flawlessly).

I'm currently thinking this might be a bug with ghc, but before submitting it upstream, I wanted to ask if it is possible that this somehow happened because of a screw up on my end? Btw, has anyone else encountered this issue?

Last edited by gauthma (2012-10-11 20:19:56)

Offline

#2 2012-10-09 17:41:35

wuischke
Member
From: Suisse Romande
Registered: 2007-01-06
Posts: 630

Re: [Solved] Haskell: cabal error

This might be related to the problems described at http://comments.gmane.org/gmane.comp.la … devel/9205 . I use a default config file and get the same error message.

Edit: The bug tracker (https://bugs.archlinux.org/index.php?do … k_id=31864) offers a solution: Remove the jobs: line from the config file.

Last edited by wuischke (2012-10-09 17:44:27)

Offline

#3 2012-10-10 08:51:00

homagetocatalonia
Member
Registered: 2011-09-29
Posts: 16

Re: [Solved] Haskell: cabal error

Commenting out the "jobs: 2" line fixes the issue for me. It seems the "jobs" feature is not implemented for some reason.

Offline

#4 2012-10-11 20:19:41

gauthma
Member
Registered: 2010-02-16
Posts: 187
Website

Re: [Solved] Haskell: cabal error

homagetocatalonia wrote:

Commenting out the "jobs: 2" line fixes the issue for me. It seems the "jobs" feature is not implemented for some reason.

Yep, this solved the issue. Of course now pandoc doesn't build because its author has not install the latest version of ghc yet... I'm marking this as solved anyway... Thanks for the tip!

Offline

Board footer

Powered by FluxBB